#
# spec file for package sox (Version 12.17.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libogg libogg-devel libstdc++ libtool libvorbis libvorbis-devel libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sox
BuildRequires:  alsa-devel libvorbis-devel
License:        GPL, BSD
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Autoreqprov:    on
Version:        12.17.9
Release:        14.2
Summary:        Sound Conversion Tools and Library
URL:            http://sox.sourceforge.net
Source:         sox-%{version}.tar.bz2
Source2:        audioio.h
Patch:          sox-%{version}.dif
Patch1:         sox-%{version}-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SOX is intended to be the Swiss Army knife of sound processing tools. 
It does many things, it just does not do them all well. Sooner or later
it will come in very handy. SOX is really only usable day-to-day if you
hide the wacky options with one-line shell scripts.



Authors:
--------
    Chris Bagwell <cbagwell@sprynet.com>

%debug_package
%prep
%setup -q
%patch
%patch1

%build
%{?suse_update_config -f}
autoconf
if [ ! -f /usr/include/sun/audioio.h ]; then
	[ -d /usr/include/sun ] || mkdir /usr/include/sun
	cp $RPM_SOURCE_DIR/audioio.h /usr/include/sun/audioio.h
fi
CFLAGS="$RPM_OPT_FLAGS -fstack-protector -DHAVE_SYS_SOUNDCARD_H" \
./configure --prefix=/usr --mandir=%{_mandir} \
                         --with-oss-dsp=yes \
                         --with-sun-audio=yes \
			 --libdir=%{_libdir}
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,%{_lib}} $RPM_BUILD_ROOT/%{_mandir}/{man1,man3}
make install install-lib install-play \
     DESTDIR=$RPM_BUILD_ROOT \

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
/usr/bin/*
%{_libdir}/lib*
/usr/include/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%doc Changelog INSTALL README* TODO src/monkey.*

%changelog -n sox
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - nadvornik@suse.cz
- compile with -fstack-protector
* Wed Dec 21 2005 - nadvornik@suse.cz
- updated to 12.17.9:
  * improved alsa support
  * optional status line
- enabled gsm codec [#137747]
* Wed Dec 21 2005 - mmj@suse.de
- assign return value of realloc to the pointer being realloc'ed
* Fri Apr 22 2005 - meissner@suse.de
- 1 byte buffer overflow in smp.c fixed.
* Tue Mar 15 2005 - hvogel@suse.de
- remove mad from nfb
* Fri Jan 28 2005 - nadvornik@suse.cz
- updated to 12.17.7
* Thu Nov 18 2004 - ro@suse.de
- fixed file list
* Mon Aug 16 2004 - nadvornik@suse.cz
- updated to 12.17.5
* Mon Jul 19 2004 - nadvornik@suse.cz
- fixed buffer overflow [#43116]
* Mon Apr 19 2004 - nadvornik@suse.cz
- fixed dangerous compiler warnings
* Tue Jul 29 2003 - nadvornik@suse.cz
- updated to 12.17.4
- compiled with libmad - support for reading mp3
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Aug 09 2002 - nadvornik@suse.cz
- fixed problems with converting to .ogg format [bug #17530]
* Wed Feb 27 2002 - nadvornik@suse.cz
- removed gsm library due to possible patent problems
* Wed Feb 13 2002 - nadvornik@suse.cz
- used macro %%{_libdir}
* Tue Jan 08 2002 - nadvornik@suse.cz
- updated to 12.17.3
- support for swapping "bit" order for raw u-law and A-law data
- many bugfixes
* Wed Dec 05 2001 - nadvornik@suse.cz
- disabled alsa support
* Tue Oct 23 2001 - nadvornik@suse.cz
- updated to 12.17.2
- new effects: earwax, fade in/out, silence, dcshift, synth
- updated play/rec/soxeffect scripts to handle all effect
- compiled with alsa support
- compiled with Ogg Vorbis support
* Tue Sep 11 2001 - nadvornik@suse.cz
- fixed output file handling [bug #10449]
* Mon May 21 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Tue Jan 23 2001 - nadvornik@suse.cz
- fixed to compile on axp
* Fri Nov 24 2000 - tiwai@suse.de
- Fixed OSS playback on big-endian machine.
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Sep 15 2000 - nadvornik@suse.cz
- update to 12.17
- used suse_update_config
* Fri May 19 2000 - bk@suse.de
- enabled sunaudio (dev/audio) file format support(see man page for use)
* Fri May 19 2000 - bk@suse.de
- added man pages for play and rec
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Mon Apr 10 2000 - nadvornik@suse.cz
- now compiles with the oss driver
* Thu Apr 06 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Jan 25 2000 - ro@suse.de
- update to 12.16, man to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Dec 02 1998 - ro@suse.de
- update to 12.15
* Tue Aug 11 1998 - ro@suse.de
- back to original names play/rec (wavplay changed the names)
- added patches from kevin bradley for polyphase sample rate conversion
* Tue May 12 1998 - ro@suse.de
- initial package version 12.14
  changed play and rec to soxplay and soxrec
  to avoid collision with wavplay
